/inventory-transfers
Fulfilment API · InventoryTransferService
POST
https://api.quiver.london/fulfilment/inventory-transfersSend your API key in the x-api-key header. See Getting started.
Request body
application/json, shaped as fulfilmentCreateInventoryTransferRequest.
Responses
| Status | Body | Description |
|---|---|---|
200 | fulfilmentInventoryTransfer | A successful response. |
default | rpcStatus | An unexpected error response. |
Request and response bodies
Field types that name another model link to all schemas.
fulfilmentCreateInventoryTransferRequest
| Field | Type | Description |
|---|---|---|
trackingUrl | string | |
sentLineItems | fulfilmentCreateInventoryTransferLineItemRequest[] | |
reference | string | |
status | fulfilmentInventoryTransferStatus | |
type | fulfilmentInventoryTransferType | |
address | string |
fulfilmentInventoryTransfer
| Field | Type | Description |
|---|---|---|
inventoryTransferId | integer (int32) | |
createdAt | string (date-time) | |
updatedAt | string (date-time) | |
status | fulfilmentInventoryTransferStatus | |
fulfilmentLocationId | integer (int32) | |
trackingUrl | string | |
sentLineItems | fulfilmentInventoryTransferLineItem[] | |
receivedLineItems | fulfilmentInventoryTransferLineItem[] | |
reference | string | |
type | fulfilmentInventoryTransferType | |
address | string |
rpcStatus
| Field | Type | Description |
|---|---|---|
code | integer (int32) | |
message | string | |
details | protobufAny[] |
